Execute code on a Gateway

Executes code (e.g. Python) on a Gateway5 cluster without requiring a pre-configured service. The code is sent directly to the gateway for execution.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

request body
clusterIdstringOptional
languageenumOptional
Allowed values:
codestringOptional
dataobjectOptional
safetyobjectOptional
packageslist of stringsOptional

Response

The execution result from the gateway including stdout, stderr, return code, and timing
idstringOptional
jsonrpcstringOptional
statusenumOptional
receiveTimeintegerOptional
return_codeintegerOptional

Process exit code (0 = success, >=1 = error)

stdoutstringOptional
Raw standard output from the script execution
stderrstringOptional
Standard error from the script execution
stdout_jsonmap from strings to any or list of any or string or double or boolean or nullOptional
Parsed JSON from stdout, present only when stdout is valid JSON
started_atstringOptional
ISO 8601 timestamp when execution started on the runner
finished_atstringOptional
ISO 8601 timestamp when execution completed on the runner
elapsed_msdoubleOptional

Server-measured execution time in milliseconds

Errors

500
Internal Server Error